## org.apache.poi.hssf.record
Class IterationRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.IterationRecord

    public final class IterationRecord

extends StandardRecord

Title: Iteration Record (0x0011)

Description: Tells whether to iterate over forumla calculations or not (if a formula is dependant upon another formula's result) (odd feature for something that can only have 32 elements in a formula!)

REFERENCE: PG 325 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` `sid`

Constructor Summary
`IterationRecord(boolean iterateOn)`
`IterationRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`boolean` `getIteration()` get whether or not to iterate for calculations
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setIteration(boolean iterate)` set whether or not to iterate for calculations
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### IterationRecord

    public IterationRecord(boolean iterateOn)

### IterationRecord

    public IterationRecord(RecordInputStream in)

Method Detail

### setIteration

    public void setIteration(boolean iterate)

  set whether or not to iterate for calculations

  Parameters:
    `iterate` - or not

### getIteration

    public boolean getIteration()

  get whether or not to iterate for calculations

  Returns:
    whether iterative calculations are turned off or on

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.